<!DOCTYPE html>
<html prefix="og: http://ogp.me/ns#" lang="{{ app.request.locale|e('html_attr') }}" class="lang-base-{{ (app.request.locale|e('html_attr')|split('_', 2))[0] }}">
<head>

    {% set page_title = (title ?? block('title') ?? null) is not null ? ('MyHordes - ' ~ (title ?? block('title'))) : 'MyHordes' %}

    {% block html_head %}
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta charset="UTF-8" />

        <!-- Tell mobile devices not to perform desktop scaling -->
        <meta name="viewport" content="width=device-width, user-scalable=no">

        <!-- Set the base URL to account for virtual mod_rewrite URLs -->
        <base target="_self" href="{{ app.request.getBaseURL() }}">

        <!-- Set OG tags for Social Network Ads :] -->
        <meta property="og:title" content="{{ page_title }}">
        <meta property="og:description" content="{{ 'Das Zombie Survival Game!'|trans({}, 'global')}}">
        <meta property="og:image" content="{{ absolute_url(asset('build/images/favicon.ico')) }}">
        <meta property="og:url" content="{{ app.request.uri }}">
        <meta property="og:type" content="website">
        {% for short, long in all_languages %}
            <meta property="og:locale{% if short != app.request.locale %}:alternate{% endif %}" content="{{ long }}" />
        {% endfor %}
        <meta property="og:image" content="{{ absolute_url(asset('build/images/myhordes-og.png')) }}" />

        {% if in_other_languages is defined and in_other_languages is not empty %}
            <!-- Content in other languages -->
            {% for lang, route in in_other_languages %}
                <link rel="alternate" hreflang="{{ lang }}" href="{{ route }}" />
            {% endfor %}
            {% if in_other_languages['en'] is defined %}
                <link rel="alternate" hreflang="x-default" href="{{ in_other_languages['en'] }}" />
            {% endif %}
        {% endif %}


        <!-- Load CSS -->
        {{ encore_entry_link_tags('app') }}

        <!-- Set Favicon -->
        <link rel="shortcut icon" href="{{ absolute_url(asset('build/images/favicon.ico')) }}" sizes="310x310">

        <!-- Set page title -->
        <title>{{ page_title }}</title>
    {% endblock %}
</head>
<body class="offline_body">
<div id="wrapper">
    <div id="header">
        <div id="header-reload-area"></div>
        {% block header %}{% endblock %}
    </div>

    <div id="content">
        {% block content %}{% endblock %}
    </div>

    <div id="footer"></div>
</div>
</body>
<footer>
    {% block footer %}
        <div class="row">
            <div class="padded cell footer rw-5 rw-sm-12 justify">
                <div>
                    <strong>MyHordes</strong>
                    <div class="content">
                        {{ 'Dies ist ein Fan-Projekt für die Spiele {dv}, {d2n}, {hordes} und {zn} von <b>MotionTwin</b>.'|trans({'dv': '<a href="http://dieverdammten.de">Die Verdammten</a>', 'd2n': '<a href="http://die2nite.com/">Die2Nite</a>', 'hordes': '<a href="http://hordes.fr/">Hordes</a>', 'zn': '<a href="http://www.zombinoia.com/">Zombinoia</a>' },'global')|raw }}
                        {{ 'All Grafiken stammen aus diesen Spielen, wenn nicht explizit anders angegeben, und sind damit Eigentum von <b>MotionTwin</b>'|trans({},'global')|raw }}
                        <br /><br />
                        {{ 'MyHordes ist <i>Open Source</i> und jeder ist zur <b>Mitwirkung</b> eingeladen. Du findest den Quellcode bei {gitlab}.'|trans({'gitlab': '<a href="https://gitlab.com/eternaltwin/myhordes/myhordes/-/issues">Gitlab</a>'},'global')|raw }}
                        <br /><br />
                        {{ 'MyHordes ist ein Teil des {etwin} Projekts, du kannst uns auf {opencollective} mit einer Spende unterstützen.'|trans({'etwin': '<a href="https://eternal-twin.net">EternalTwin</a>', 'opencollective': '<a href="https://opencollective.com/eternaltwin">OpenCollective</a>'},'global')|raw }}
                    </div>
                </div>
            </div>
            <div class="padded cell-small footer rw-7 rw-sm-24 center">
                <div>
                    <strong>{{ 'Programmierung'|trans({}, 'global') }}</strong>
                    <div class="content">
                        {% for dev in devs %}
                            <div>{{ dev|raw }}</div>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div class="padded cell-small footer rw-7 rw-sm-24 center">
                <div>
                    <strong>{{ 'Danke an'|trans({}, 'global') }}</strong>
                    <div class="content">
                        {% for supporter in supporters %}
                            <i>{{ supporter }}</i>{% if not loop.last %},{% endif %}
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
    {% endblock %}
</footer>
</html>
